<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class Productos extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('productos', function (Blueprint $table) {
            $table->boolean('paga_bono_de_transporte')->after('bono')->default(true);
        });

        Schema::create('grupo_de_compra_producto', function (Blueprint $table) {
            $table->id();
            $table->foreignId('grupo_de_compra_id');
            $table->foreignId('producto_id');
            $table->timestamps();
        });

        Schema::create('producto_user', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id');
            $table->foreignId('producto_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('productos', function (Blueprint $table) {
            $table->dropColumn('paga_bono_de_transporte');
        });

        Schema::dropIfExists('producto_user');

        Schema::dropIfExists('grupo_de_compra_producto');
    }
}
